<ion-header>
  <div id="menu">
    <ul>
      <li><a (click) = navToHome()>Home</a></li>
      <li><a (click) = navToTest()>Test</a></li>
    </ul>
  </div>
</ion-header>

<ion-content>
  <div class="sidenav">

    <div class="menu-box" style="text-align: center;">
      <img style="width: 30px; height: 30px;" src="../../assets/signature.png"><br>
      <p style="color: white;"><font size="2">Signatures</font></p>
    </div><br>

    <div style="text-align: center;">
      <hr class="new1">
    </div>

    <div class="menu-box" style="text-align: center;"(click)=navToCreate()>
      <img style="width: 30px; height: 30px;" src="../../assets/or.png"><br>
      <p style="color: white;"><font size="2">Organnizations</font></p>
    </div><br>

    <div style="text-align: center;">
      <hr class="new1">
    </div>

    <div class="menu-box" style="text-align: center;" (click) = navToAmin()>
      <img style="width: 30px; height: 30px;" src="../../assets/admin.png"><br>
      <p style="color: white;"><font size="2">Admin</font></p>
    </div><br>

    <hr class="new1">

    <div class="create"(click) = navToNew()>
      <img style="width: 30px; height: 30px; margin-top: 5px;" src="../../assets/plus.jpg"><br>
      <p><b>CREATE</b></p>
    </div><br>

    <hr class="new1">

  </div>

  <div class="top-menu" *ngIf="organizationsService.isNotify || organizationsService.isDocument || organizationsService.isSignatories">
    <div (click) = changeToSignatories() class = 'text'>
      <br><p><b>1. Signatories</b></p>
    </div>
    <span class=vl-1></span>
    <div (click) = changeToDocument()  class = 'text'>
      <br><p><b>2. Documents</b></p>
    </div>
    <span class=vl-1></span>
    <div (click) = changeToNotify() class = 'text'>
      <br><p><b>3. Notify</b></p>
    </div>
  </div>
  
  <div class="main">
    <div *ngIf="organizationsService.isSignatories">
      <br><br>
      <h1>Add Signatories</h1>
      <div style="text-align: center;">
        <hr class="new1">
      </div>
      <ion-item>
        <ion-label>Public key: </ion-label>
        <ion-input [(ngModel)] = "signatory" id="myInput"></ion-input>
        <ion-icon onclick="document.getElementById('myInput').value = ''" name="close"></ion-icon>
        <ion-icon (click) = 'addPublicKey()' name="add-circle"></ion-icon>
      </ion-item><br><br>
      <div *ngFor="let signer of file.cosigners"> 
        <ion-item>
          <ion-label>{{signer}}</ion-label>
          <ion-icon (click) = removePublickey(signer) name="remove-circle"></ion-icon>
        </ion-item><br><br>
      </div>
      <div>
        <button class="btn-submit" type="button" (click) = addSignatories()>
          <label style="color: white;"><font size="3">Next  </font></label>
          <ion-icon name="arrow-forward" style="color: white;"></ion-icon>
        </button>
      </div>
    </div>

    <div *ngIf="organizationsService.isDocument">
      <br><br>
      <h1>Add Document</h1>
      <div style="text-align: center;">
        <hr class="new1">
      </div>

      <!-- view Doccument -->
      <ion-list lines="full">
        <ion-list-header>
            <ion-label>Files</ion-label>
        </ion-list-header>
      </ion-list>
      <div> 

        <label for="browseNew">
        </label>
        <button id="btnBrowse">Choose file</button>
        <!-- <ion-fab-button id="btnBrowse">
            <ion-icon name="create"></ion-icon>
        </ion-fab-button> -->
        <input style="display:none" type="file" id="browseNew" class="browse" (change)="onFile($event.target.files)"><br><br>
        
        <div>
          <button (click) = 'onSignDocument()' class="btn-submit" type="button">
            <label style="color: white;"><font size="3">Next  </font></label>
            <ion-icon name="arrow-forward" style="color: white;"></ion-icon>
          </button>
        </div>
      </div>
    </div>

    <div *ngIf="organizationsService.isNotify">
      <br><br>
      <h1>Notify/ Finish</h1>
      <div style="text-align: center;">
        <hr class="new1">
      </div>

      <!-- Add tab-task -->
      <ion-card *ngFor="let task of multitasks.tasks" tappable (click)="onTask(task)">
        <div id="cont">
            <h1 *ngIf="task.percent<100">{{task.percent}}%</h1>
            <h1 class="done" style="color: #0ec254;"
                *ngIf="(task.percent == 100) && ((task.transactionStatus.status == 'confirmed') || (task.transactionStatus.status == 'Waiting for cosignatures'))">
                <ion-icon name="checkmark"></ion-icon>
            </h1>
            <h1 class="done" style="color: #f04141;"
                *ngIf="(task.percent == 100) && !((task.transactionStatus.status == 'confirmed') || (task.transactionStatus.status == 'Waiting for cosignatures'))">
                <ion-icon name="close"></ion-icon>
            </h1>
            <svg id="svg" viewBox="0 0 36 36" class="circular">
                <path *ngIf="task.percent < 100" class="circle" d="M18 2.0845
                    a 15.9155 15.9155 0 0 1 0 31.831
                    a 15.9155 15.9155 0 0 1 0 -31.831" fill="none" stroke="#444" stroke-width="1"
                    [style.stroke-dasharray]="calStrokeDashArray(task)" />
                <path
                    *ngIf="(task.percent == 100) && ((task.transactionStatus.status == 'confirmed') || (task.transactionStatus.status == 'Waiting for cosignatures'))"
                    class="circle circle-done" d="M18 2.0845
                    a 15.9155 15.9155 0 0 1 0 31.831
                    a 15.9155 15.9155 0 0 1 0 -31.831" fill="none" stroke="#444" stroke-width="1"
                    [style.stroke-dasharray]="calStrokeDashArray(task)" />
                <path
                    *ngIf="(task.percent == 100) && !((task.transactionStatus.status == 'confirmed') || (task.transactionStatus.status == 'Waiting for cosignatures'))"
                    class="circle circle-fail" d="M18 2.0845
                    a 15.9155 15.9155 0 0 1 0 31.831
                    a 15.9155 15.9155 0 0 1 0 -31.831" fill="none" stroke="#444" stroke-width="1"
                    [style.stroke-dasharray]="calStrokeDashArray(task)" />
            </svg>
        </div>
        <div>
            <h3>{{task.name}}</h3>
            <p>{{task.type}}</p>
        </div>
    </ion-card><br><br>
    <!-- <div> 
      <div>
        <button (click) = 'addNotify()' class="btn-submit" type="button">
          <label style="color: white;"><font size="3">Done  </font></label>
          <ion-icon name="done-all" style="color: white;"></ion-icon>
        </button>
      </div>
    </div> -->
    </div>

    <div *ngIf="!organizationsService.isNotify && !organizationsService.isDocument && !organizationsService.isSignatories">
      <ion-list lines="full">
        <ion-list-header>
            <ion-label>Organizations</ion-label>
        </ion-list-header>
      </ion-list>
      <div *ngFor="let organization of namespaceNames; let i=index">
        <ion-item>
          <ion-icon name="folder"> </ion-icon>
          <ion-label (click)='openOrganization(organization)' style="margin: 20px; "> <font size="3">{{organization}} </font></ion-label>
        </ion-item>
      </div>
    </div>
  </div>
</ion-content>

